Run Virtualmin with PHP 5.4

Hi everyone…

In Past i tried to upgrade php 5.3 to 5.4 (dotdeb repo). Sadly this server was killed by that. php was only able to run ion apache mod. Fci/CGI never runned till then…

Now i want do reset the server and reinstall complete. But i need php5.4 on it. becaus i like virtualmin this is my choise for the control panel. But is there a way to get running php 5.4 on a virtualmin server? My possibilities are Debian 6 or Ubuntu 12.04 or less…

Which configuration should i choose ?

Thx fpr help…

Howdy,

We always recommend using the packages provided by your distro… going with third party repositories is capable of causing problems.

However, if there’s anything you can do in order to use Debian 7 – it comes with PHP 5.4.

Debian 6 is going to reach it’s end of life in a matter of months, so if you’re interested in Debian, we’d highly recommend 7.

If it’s a matter of what distros your provider has available – you could always start with a base Debian 6 install, upgrade that to Debian 7, then install Virtualmin.

-Eric

I have the similar issue using Centos: I wanted to use Virtualmin for a fast mailserver setup but I was unhappy with the AMP stack that comes with it (I wanted apache 2.4 and php 5.4). I solved it by using a third-party AMP stack (Bitnami).

I disabled the stack installed by Virtualmin and just use the new one.

Virtualmin is so amazing that I could even use it to control the third-party stack.